Main Page Widgets Namespaces Book

# Glib::Value< bool > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< bool >:

[legend]
List of all members.

### template<>
class Glib::Value< bool >

## Public Types

typedef bool | CppType
typedef gboolean | CType

## Public Member Functions

void | set (bool data)
bool | get () const

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

## Member Typedef Documentation

typedef bool Glib::Value<bool>::CppType

typedef gboolean Glib::Value<bool>::CType

## Member Function Documentation

bool Glib::Value<bool>::get | ( |  | ) | const

void Glib::Value<bool>::set | ( | bool | data | ) |

GType Glib::Value<bool>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h